com.pivotal.gemfirexd.internal.client.net

## Class ResultSetReply

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.ConnectionReply
  - - com.pivotal.gemfirexd.internal.client.net.StatementReply
    - - com.pivotal.gemfirexd.internal.client.net.ResultSetReply

    public class ResultSetReply
    extends StatementReply

### Constructor Summary

Constructors
Constructor and Description
`ResultSetReply(Agent agent, ResultSetReplyInterface materialResultSetReply, StatementReplyInterface materialStatementReply, ConnectionReplyInterface materialConnectionReply)`

### Method Summary

Methods
`void` `readCursorClose(ResultSetCallbackInterface resultSet)`
`void` `readFetch(ResultSetCallbackInterface resultSet)`
`void` `readPositioningFetch(ResultSetCallbackInterface resultSet)`
`void` `readScrollableFetch(ResultSetCallbackInterface resultSet)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.StatementReply

`readDescribeInput, readDescribeOutput, readExecute, readExecuteCall, readExecuteImmediate, readOpenQuery, readPrepare, readPrepareDescribeOutput, readSetSpecialRegister, readStatementID`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.ConnectionReply

`readCommitSubstitute, readLocalCommit, readLocalRollback, readLocalXACommit, readLocalXARollback, readLocalXAStart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultSetReply

    public ResultSetReply(Agent agent,
                  ResultSetReplyInterface materialResultSetReply,
                  StatementReplyInterface materialStatementReply,
                  ConnectionReplyInterface materialConnectionReply)

### Method Detail

#### readFetch

    public void readFetch(ResultSetCallbackInterface resultSet)
                   throws SqlException

Throws:
  `SqlException`

#### readScrollableFetch

    public void readScrollableFetch(ResultSetCallbackInterface resultSet)
                             throws SqlException

Throws:
  `SqlException`

#### readPositioningFetch

    public void readPositioningFetch(ResultSetCallbackInterface resultSet)
                              throws SqlException

Throws:
  `SqlException`

#### readCursorClose

    public void readCursorClose(ResultSetCallbackInterface resultSet)
                         throws SqlException

Throws:
  `SqlException`